from django.urls import path
from .views import ProgramListView, ProgramCreateView, ProgramDetailView, ProgramPDFView

urlpatterns = [
    path('', ProgramListView.as_view(), name='program_list'),
    path('programs/new/', ProgramCreateView.as_view(), name='program_create'),
    path('programs/<int:pk>/', ProgramDetailView.as_view(), name='program_detail'),
    path('programs/<int:pk>/pdf/', ProgramPDFView.as_view(), name='program_pdf'),
]